commit:     07cb511be8aeae0246d9d14d4519d07282297dbc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 11:01:35 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 12:34:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07cb511b

dev-python/isort: Bump to 5.11.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/isort/Manifest            |  1 +
 dev-python/isort/isort-5.11.3.ebuild | 69 ++++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index 0fc4fa6fc46e..c9edd01edc8a 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -1,3 +1,4 @@
 DIST isort-5.10.1.gh.tar.gz 728462 BLAKE2B 
5b892b9849293e8730e6d89592bace62009a8589d185b4d3a5bafded605ccd46fd0f2986fbad5cf1d72321d030e3193a111ab7e6114c6b4a7a67696f546b3a14
 SHA512 
545c1844bacc1d2d9e87e60b03b30a846ee1ebbfe2a229c3e018a2e1cc6e9a04a3691f1b2e7ec8575806f2341bc1af15eb64904b4eabd786d6b9b289cea5ce2a
 DIST isort-5.11.1.gh.tar.gz 731273 BLAKE2B 
9044579ae53df64b78762384eba9b329017c12a1e8208382b56fa76a0d54443379b17463ff547f014d18b0bc06a9d1382b4a7e3c7a44c6a6ada1a8ed836460eb
 SHA512 
0d891bb0b546d01a4bb5ca4f8f62683c8864b396e2c15549b5f40da4c3b630ae9100026f95c7be78aae2e3238e9d173fdb08ea9eca519631f7dea64e0643d4d1
 DIST isort-5.11.2.gh.tar.gz 731273 BLAKE2B 
02e135dcf448985ea94dc8e4f077540232099c4f1d671efc34ef7ce113a636b657948c586ab176dd85fc7e431ab54dc7ee3c3fd6515a80dc317fe82809fccf6d
 SHA512 
30d6da4096b0a19686fccafe772ccc45c46a2abf45522afad5d86f3ad9682fd0c3df17349c859d6e359542ef2aa59071613574233d84e8fd90739999582b218c
+DIST isort-5.11.3.gh.tar.gz 733428 BLAKE2B 
a93b3b44b4b570203520a173b954634b58f124c798f591582be11f40ecaf33e8bb9eb97217426bc228e7951174ee08531bd0af73de5c217c4f38f02ef6be04b3
 SHA512 
f7e6964097c365f005f387629631fc4177039ce54047f7b8ed76e9ed27331a577139777810cf45c7d7e89054d1b5df67905eec3d8434cefb3b4e73cb1005f4cd

diff --git a/dev-python/isort/isort-5.11.3.ebuild 
b/dev-python/isort/isort-5.11.3.ebuild
new file mode 100644
index 000000000000..3a4a9ec195f1
--- /dev/null
+++ b/dev-python/isort/isort-5.11.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python utility/library to sort imports"
+HOMEPAGE="
+       https://github.com/PyCQA/isort/
+       https://pypi.org/project/isort/
+"
+SRC_URI="
+       https://github.com/PyCQA/isort/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/tomli[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/black[${PYTHON_USEDEP}]
+               dev-python/colorama[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/natsort[${PYTHON_USEDEP}]
+               dev-python/pylama[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unbundle tomli
+       sed -i -e 's:from ._vendored ::' isort/settings.py || die
+       rm -r isort/_vendored || die
+       # leftover toml import used to determine .toml support
+       sed -i -e 's:import toml:toml = True:' tests/unit/test_isort.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       cp -a "${BUILD_DIR}"/{install,test} || die
+       local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+       # Install necessary plugins
+       local p
+       for p in example*/; do
+               pushd "${p}" >/dev/null || die
+               distutils_pep517_install "${BUILD_DIR}"/test
+               popd >/dev/null || die
+       done
+
+       local EPYTEST_IGNORE=(
+               # Excluded from upstream's test script
+               tests/unit/test_deprecated_finders.py
+       )
+       epytest tests/unit
+}

Reply via email to